package com.fs.store.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户提现对象 fs_user_extract
 *
 * @author fs
 * @date 2022-03-15
 */
public class FsUserExtract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "用户id")
    private Long userId;

    /** 名称 */
    @Excel(name = "名称")
    private String realName;

    /** bank = 银行卡 alipay = 支付宝wx=微信 */
    @Excel(name = "bank = 银行卡 alipay = 支付宝wx=微信")
    private String extractType;

    /** 银行卡 */
    @Excel(name = "银行卡")
    private String bankCode;

    /** 开户地址 */
    @Excel(name = "开户地址")
    private String bankAddress;

    /** 支付宝账号 */
   // @Excel(name = "支付宝账号")
    private String alipayCode;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal extractPrice;

    /** $column.columnComment */
    @Excel(name = "提现金额")
    private String mark;

    /** $column.columnComment */
    @Excel(name = "提现金额")
    private BigDecimal balance;

    /** 无效原因 */
    @Excel(name = "无效原因")
    private String failMsg;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "无效原因", width = 30, dateFormat = "yyyy-MM-dd")
    private Date failTime;

    /** -1 未通过 0 审核中 1 已提现 */
    @Excel(name = "状态",dictType = "user_extract_status")
    private Integer status;

    /** 微信号 */
   // @Excel(name = "微信号")
    private String wechat;

    /** $column.columnComment */
  //  @Excel(name = "微信号")
    private Integer isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setRealName(String realName)
    {
        this.realName = realName;
    }

    public String getRealName()
    {
        return realName;
    }
    public void setExtractType(String extractType)
    {
        this.extractType = extractType;
    }

    public String getExtractType()
    {
        return extractType;
    }
    public void setBankCode(String bankCode)
    {
        this.bankCode = bankCode;
    }

    public String getBankCode()
    {
        return bankCode;
    }
    public void setBankAddress(String bankAddress)
    {
        this.bankAddress = bankAddress;
    }

    public String getBankAddress()
    {
        return bankAddress;
    }
    public void setAlipayCode(String alipayCode)
    {
        this.alipayCode = alipayCode;
    }

    public String getAlipayCode()
    {
        return alipayCode;
    }
    public void setExtractPrice(BigDecimal extractPrice)
    {
        this.extractPrice = extractPrice;
    }

    public BigDecimal getExtractPrice()
    {
        return extractPrice;
    }
    public void setMark(String mark)
    {
        this.mark = mark;
    }

    public String getMark()
    {
        return mark;
    }
    public void setBalance(BigDecimal balance)
    {
        this.balance = balance;
    }

    public BigDecimal getBalance()
    {
        return balance;
    }
    public void setFailMsg(String failMsg)
    {
        this.failMsg = failMsg;
    }

    public String getFailMsg()
    {
        return failMsg;
    }
    public void setFailTime(Date failTime)
    {
        this.failTime = failTime;
    }

    public Date getFailTime()
    {
        return failTime;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setWechat(String wechat)
    {
        this.wechat = wechat;
    }

    public String getWechat()
    {
        return wechat;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("realName", getRealName())
            .append("extractType", getExtractType())
            .append("bankCode", getBankCode())
            .append("bankAddress", getBankAddress())
            .append("alipayCode", getAlipayCode())
            .append("extractPrice", getExtractPrice())
            .append("mark", getMark())
            .append("balance", getBalance())
            .append("failMsg", getFailMsg())
            .append("failTime", getFailTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .append("wechat", getWechat())
            .append("isDel", getIsDel())
            .toString();
    }
}
